com.corticon.rulesemf.viewtestmodel.testsheet.treeset

## Interface TreesetPackage.Literals

- Enclosing interface:
    TreesetPackage

      public static interface TreesetPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `MESSAGE_ITEM` The meta object literal for the '`Message Item`' class
    `static org.eclipse.emf.ecore.EReference` | `MESSAGE_ITEM__POSTED_MESSAGE` The meta object literal for the 'Posted Message' reference feature
    `static org.eclipse.emf.ecore.EReference` | `MESSAGE_ITEM__TEST_NODE` The meta object literal for the 'Test Node' reference feature
    `static org.eclipse.emf.ecore.EClass` | `MESSAGE_SECTION` The meta object literal for the '`Message Section`' class
    `static org.eclipse.emf.ecore.EAttribute` | `MESSAGE_SECTION__COLUMN_WIDTH_MESSAGE` The meta object literal for the 'Column Width Message' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MESSAGE_SECTION__COLUMN_WIDTH_SEVERITY` The meta object literal for the 'Column Width Severity' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `MESSAGE_SECTION__MESSAGE_ITEM_LIST` The meta object literal for the 'Message Item List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `MESSAGE_SECTION__ROW_COUNT` The meta object literal for the 'Row Count' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MESSAGE_SECTION__SCROLL_ROW_TOP` The meta object literal for the 'Scroll Row Top' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `SOURCE` The meta object literal for the '`Source`' enum
    `static org.eclipse.emf.ecore.EClass` | `TEST_ASSOCIATION` The meta object literal for the '`Test Association`' class
    `static org.eclipse.emf.ecore.EReference` | `TEST_ASSOCIATION__EREFERENCE` The meta object literal for the 'EReference' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TEST_ASSOCIATION_HREF` The meta object literal for the '`Test Association Href`' class
    `static org.eclipse.emf.ecore.EReference` | `TEST_ASSOCIATION_HREF__TARGET_TEST_NODE` The meta object literal for the 'Target Test Node' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TEST_ASSOCIATION_IMBEDDED` The meta object literal for the '`Test Association Imbedded`' class
    `static org.eclipse.emf.ecore.EReference` | `TEST_ASSOCIATION_IMBEDDED__ECLASS` The meta object literal for the 'EClass' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TEST_ATTRIBUTE` The meta object literal for the '`Test Attribute`' class
    `static org.eclipse.emf.ecore.EReference` | `TEST_ATTRIBUTE__EATTRIBUTE` The meta object literal for the 'EAttribute' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TEST_CHARACTERISTIC` The meta object literal for the '`Test Characteristic`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_CHARACTERISTIC__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TEST_ENTITY` The meta object literal for the '`Test Entity`' class
    `static org.eclipse.emf.ecore.EReference` | `TEST_ENTITY__ECLASS` The meta object literal for the 'EClass' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TEST_NODE` The meta object literal for the '`Test Node`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__BACKUP_INFO` The meta object literal for the 'Backup Info' attribute list feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_NODE__CHILDREN` The meta object literal for the 'Children' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__COMMENTS` The meta object literal for the 'Comments' attribute list feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__DATABASE_ID` The meta object literal for the 'Database ID' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__EXPANDED` The meta object literal for the 'Expanded' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__IGNORE_VALIDATION` The meta object literal for the 'Ignore Validation' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__INVALID` The meta object literal for the 'Invalid' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__ISSUE` The meta object literal for the 'Issue' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__MANUALLY_CREATED` The meta object literal for the 'Manually Created' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_NODE__MESSAGE_ITEM` The meta object literal for the 'Message Item' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__NEW_OR_MODIFIED` The meta object literal for the 'New Or Modified' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__NODE_ID` The meta object literal for the 'Node ID' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_NODE__PARENT` The meta object literal for the 'Parent' container reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__PASSED` The meta object literal for the 'Passed' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_NODE__REFERENCING_HREFS` The meta object literal for the 'Referencing Hrefs' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_NODE__SOURCE` The meta object literal for the 'Source' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TEST_TRANSIENT` The meta object literal for the '`Test Transient`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_TRANSIENT__DATA_TYPE` The meta object literal for the 'Data Type' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TEST_TREE_SET` The meta object literal for the '`Test Tree Set`' class
    `static org.eclipse.emf.ecore.EReference` | `TEST_TREE_SET__EXPECTED_MESSAGE_SECTION` The meta object literal for the 'Expected Message Section' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_TREE_SET__EXPECTED_ROOT` The meta object literal for the 'Expected Root' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_TREE_SET__INPUT_ROOT` The meta object literal for the 'Input Root' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_TREE_SET__OUTPUT_MESSAGE_SECTION` The meta object literal for the 'Output Message Section' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_TREE_SET__OUTPUT_ROOT` The meta object literal for the 'Output Root' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_TREE_SET__SELECTION` The meta object literal for the 'Selection' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_TREE_SET__TESTSHEET` The meta object literal for the 'Testsheet' reference feature
    `static org.eclipse.emf.ecore.EEnum` | `VALIDATION_ISSUE` The meta object literal for the '`Validation Issue`' enum

- - ### Field Detail

    - #### MESSAGE_ITEM

          static final org.eclipse.emf.ecore.EClass MESSAGE_ITEM

      The meta object literal for the '`Message Item`' class.
      See Also:
        `MessageItemImpl`, `TreesetPackageImpl.getMessageItem()`

    - #### MESSAGE_ITEM__POSTED_MESSAGE

          static final org.eclipse.emf.ecore.EReference MESSAGE_ITEM__POSTED_MESSAGE

      The meta object literal for the 'Posted Message' reference feature.

    - #### MESSAGE_ITEM__TEST_NODE

          static final org.eclipse.emf.ecore.EReference MESSAGE_ITEM__TEST_NODE

      The meta object literal for the 'Test Node' reference feature.

    - #### MESSAGE_SECTION

          static final org.eclipse.emf.ecore.EClass MESSAGE_SECTION

      The meta object literal for the '`Message Section`' class.
      See Also:
        `MessageSectionImpl`, `TreesetPackageImpl.getMessageSection()`

    - #### MESSAGE_SECTION__MESSAGE_ITEM_LIST

          static final org.eclipse.emf.ecore.EReference MESSAGE_SECTION__MESSAGE_ITEM_LIST

      The meta object literal for the 'Message Item List' containment reference list feature.

    - #### MESSAGE_SECTION__ROW_COUNT

          static final org.eclipse.emf.ecore.EAttribute MESSAGE_SECTION__ROW_COUNT

      The meta object literal for the 'Row Count' attribute feature.

    - #### MESSAGE_SECTION__SCROLL_ROW_TOP

          static final org.eclipse.emf.ecore.EAttribute MESSAGE_SECTION__SCROLL_ROW_TOP

      The meta object literal for the 'Scroll Row Top' attribute feature.

    - #### MESSAGE_SECTION__COLUMN_WIDTH_SEVERITY

          static final org.eclipse.emf.ecore.EAttribute MESSAGE_SECTION__COLUMN_WIDTH_SEVERITY

      The meta object literal for the 'Column Width Severity' attribute feature.

    - #### MESSAGE_SECTION__COLUMN_WIDTH_MESSAGE

          static final org.eclipse.emf.ecore.EAttribute MESSAGE_SECTION__COLUMN_WIDTH_MESSAGE

      The meta object literal for the 'Column Width Message' attribute feature.

    - #### TEST_ASSOCIATION_HREF

          static final org.eclipse.emf.ecore.EClass TEST_ASSOCIATION_HREF

      The meta object literal for the '`Test Association Href`' class.
      See Also:
        `TestAssociationHrefImpl`, `TreesetPackageImpl.getTestAssociationHref()`

    - #### TEST_ASSOCIATION_HREF__TARGET_TEST_NODE

          static final org.eclipse.emf.ecore.EReference TEST_ASSOCIATION_HREF__TARGET_TEST_NODE

      The meta object literal for the 'Target Test Node' reference feature.

    - #### TEST_ASSOCIATION_IMBEDDED

          static final org.eclipse.emf.ecore.EClass TEST_ASSOCIATION_IMBEDDED

      The meta object literal for the '`Test Association Imbedded`' class.
      See Also:
        `TestAssociationImbeddedImpl`, `TreesetPackageImpl.getTestAssociationImbedded()`

    - #### TEST_ASSOCIATION_IMBEDDED__ECLASS

          static final org.eclipse.emf.ecore.EReference TEST_ASSOCIATION_IMBEDDED__ECLASS

      The meta object literal for the 'EClass' reference feature.

    - #### TEST_ATTRIBUTE

          static final org.eclipse.emf.ecore.EClass TEST_ATTRIBUTE

      The meta object literal for the '`Test Attribute`' class.
      See Also:
        `TestAttributeImpl`, `TreesetPackageImpl.getTestAttribute()`

    - #### TEST_ATTRIBUTE__EATTRIBUTE

          static final org.eclipse.emf.ecore.EReference TEST_ATTRIBUTE__EATTRIBUTE

      The meta object literal for the 'EAttribute' reference feature.

    - #### TEST_ENTITY

          static final org.eclipse.emf.ecore.EClass TEST_ENTITY

      The meta object literal for the '`Test Entity`' class.
      See Also:
        `TestEntityImpl`, `TreesetPackageImpl.getTestEntity()`

    - #### TEST_ENTITY__ECLASS

          static final org.eclipse.emf.ecore.EReference TEST_ENTITY__ECLASS

      The meta object literal for the 'EClass' reference feature.

    - #### TEST_NODE

          static final org.eclipse.emf.ecore.EClass TEST_NODE

      The meta object literal for the '`Test Node`' class.
      See Also:
        `TestNodeImpl`, `TreesetPackageImpl.getTestNode()`

    - #### TEST_NODE__PARENT

          static final org.eclipse.emf.ecore.EReference TEST_NODE__PARENT

      The meta object literal for the 'Parent' container reference feature.

    - #### TEST_NODE__CHILDREN

          static final org.eclipse.emf.ecore.EReference TEST_NODE__CHILDREN

      The meta object literal for the 'Children' containment reference list feature.

    - #### TEST_NODE__NAME

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### TEST_NODE__NODE_ID

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__NODE_ID

      The meta object literal for the 'Node ID' attribute feature.

    - #### TEST_NODE__INVALID

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__INVALID

      The meta object literal for the 'Invalid' attribute feature.

    - #### TEST_NODE__NEW_OR_MODIFIED

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__NEW_OR_MODIFIED

      The meta object literal for the 'New Or Modified' attribute feature.

    - #### TEST_NODE__MANUALLY_CREATED

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__MANUALLY_CREATED

      The meta object literal for the 'Manually Created' attribute feature.

    - #### TEST_NODE__SOURCE

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__SOURCE

      The meta object literal for the 'Source' attribute feature.

    - #### TEST_NODE__EXPANDED

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__EXPANDED

      The meta object literal for the 'Expanded' attribute feature.

    - #### TEST_NODE__PASSED

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__PASSED

      The meta object literal for the 'Passed' attribute feature.

    - #### TEST_NODE__ISSUE

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__ISSUE

      The meta object literal for the 'Issue' attribute feature.

    - #### TEST_NODE__BACKUP_INFO

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__BACKUP_INFO

      The meta object literal for the 'Backup Info' attribute list feature.

    - #### TEST_NODE__COMMENTS

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__COMMENTS

      The meta object literal for the 'Comments' attribute list feature.

    - #### TEST_NODE__DATABASE_ID

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__DATABASE_ID

      The meta object literal for the 'Database ID' attribute feature.

    - #### TEST_NODE__REFERENCING_HREFS

          static final org.eclipse.emf.ecore.EReference TEST_NODE__REFERENCING_HREFS

      The meta object literal for the 'Referencing Hrefs' reference list feature.

    - #### TEST_NODE__MESSAGE_ITEM

          static final org.eclipse.emf.ecore.EReference TEST_NODE__MESSAGE_ITEM

      The meta object literal for the 'Message Item' reference list feature.

    - #### TEST_NODE__IGNORE_VALIDATION

          static final org.eclipse.emf.ecore.EAttribute TEST_NODE__IGNORE_VALIDATION

      The meta object literal for the 'Ignore Validation' attribute feature.

    - #### TEST_TREE_SET

          static final org.eclipse.emf.ecore.EClass TEST_TREE_SET

      The meta object literal for the '`Test Tree Set`' class.
      See Also:
        `TestTreeSetImpl`, `TreesetPackageImpl.getTestTreeSet()`

    - #### TEST_TREE_SET__INPUT_ROOT

          static final org.eclipse.emf.ecore.EReference TEST_TREE_SET__INPUT_ROOT

      The meta object literal for the 'Input Root' containment reference feature.

    - #### TEST_TREE_SET__OUTPUT_ROOT

          static final org.eclipse.emf.ecore.EReference TEST_TREE_SET__OUTPUT_ROOT

      The meta object literal for the 'Output Root' containment reference feature.

    - #### TEST_TREE_SET__OUTPUT_MESSAGE_SECTION

          static final org.eclipse.emf.ecore.EReference TEST_TREE_SET__OUTPUT_MESSAGE_SECTION

      The meta object literal for the 'Output Message Section' containment reference feature.

    - #### TEST_TREE_SET__SELECTION

          static final org.eclipse.emf.ecore.EAttribute TEST_TREE_SET__SELECTION

      The meta object literal for the 'Selection' attribute feature.

    - #### TEST_TREE_SET__TESTSHEET

          static final org.eclipse.emf.ecore.EReference TEST_TREE_SET__TESTSHEET

      The meta object literal for the 'Testsheet' reference feature.

    - #### TEST_TREE_SET__EXPECTED_ROOT

          static final org.eclipse.emf.ecore.EReference TEST_TREE_SET__EXPECTED_ROOT

      The meta object literal for the 'Expected Root' containment reference feature.

    - #### TEST_TREE_SET__EXPECTED_MESSAGE_SECTION

          static final org.eclipse.emf.ecore.EReference TEST_TREE_SET__EXPECTED_MESSAGE_SECTION

      The meta object literal for the 'Expected Message Section' containment reference feature.

    - #### TEST_TRANSIENT

          static final org.eclipse.emf.ecore.EClass TEST_TRANSIENT

      The meta object literal for the '`Test Transient`' class.
      See Also:
        `TestTransientImpl`, `TreesetPackageImpl.getTestTransient()`

    - #### TEST_TRANSIENT__DATA_TYPE

          static final org.eclipse.emf.ecore.EAttribute TEST_TRANSIENT__DATA_TYPE

      The meta object literal for the 'Data Type' attribute feature.

    - #### TEST_CHARACTERISTIC

          static final org.eclipse.emf.ecore.EClass TEST_CHARACTERISTIC

      The meta object literal for the '`Test Characteristic`' class.
      See Also:
        `TestCharacteristicImpl`, `TreesetPackageImpl.getTestCharacteristic()`

    - #### TEST_CHARACTERISTIC__VALUE

          static final org.eclipse.emf.ecore.EAttribute TEST_CHARACTERISTIC__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### TEST_ASSOCIATION

          static final org.eclipse.emf.ecore.EClass TEST_ASSOCIATION

      The meta object literal for the '`Test Association`' class.
      See Also:
        `TestAssociationImpl`, `TreesetPackageImpl.getTestAssociation()`

    - #### TEST_ASSOCIATION__EREFERENCE

          static final org.eclipse.emf.ecore.EReference TEST_ASSOCIATION__EREFERENCE

      The meta object literal for the 'EReference' reference feature.

    - #### VALIDATION_ISSUE

          static final org.eclipse.emf.ecore.EEnum VALIDATION_ISSUE

      The meta object literal for the '`Validation Issue`' enum.
      See Also:
        `ValidationIssue`, `TreesetPackageImpl.getValidationIssue()`

    - #### SOURCE

          static final org.eclipse.emf.ecore.EEnum SOURCE

      The meta object literal for the '`Source`' enum.
      See Also:
        `Source`, `TreesetPackageImpl.getSource()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.